package com.ym.zxhcsdk;

import java.util.List;

public class HcAdBean {
    private int height;
    private int width;
    private List<String> monitorUrl;
    private List<String> clickUrl;
    private List<String> srcUrls;
    private List<String> dUrl;
    private String pid;
    private int cid;
    private int plan_id;
    private String target_type;
    private int ad_show_type;

    private String app_name;
    private String package_name;
    private String down_url;
    private String title;
    private String content;

    private String from;
    private String req_id;

    private String deeplink;

    private List<String> startInstallmonitorUrls;
    private List<String> finishInstallmonitorUrls;
    private List<String> startdownloadmonitorUrls;
    private List<String> finishdownloadmonitorUrls;
    private List<String> activemonitorUrls;
    private List<String> dpSuccmonitorUrls;
    private List<String> dpFailmonitorUrls;

    private boolean isShowReport;
    private boolean isClickReport;
    private boolean isClickDpLinkSucReport;
    private boolean isClickDpLinkfailReport;

    //Video
    private int video_duration;
    private String video_url;
    private String video_cover_image;
    private String video_end_image;
    private String video_endpage_html;
    private String video_endbuttonurl;
    private String video_icon_url;
    private String video_title;
    private String video_desc;
    private String video_iconbuttontext;
    private List<String> video_start;
    private List<String> video_one_quarter;
    private List<String> video_one_half;
    private List<String> video_three_quarter;
    private List<String> video_complete;
    private List<String> video_pause;
    private List<String> video_resume;
    private List<String> video_skip;
    private List<String> video_close;



    public boolean isClickDpLinkSucReport() {
        return isClickDpLinkSucReport;
    }

    public void setClickDpLinkSucReport(boolean clickDpLinkSucReport) {
        isClickDpLinkSucReport = clickDpLinkSucReport;
    }

    public boolean isClickDpLinkfailReport() {
        return isClickDpLinkfailReport;
    }

    public void setClickDpLinkfailReport(boolean clickDpLinkfailReport) {
        isClickDpLinkfailReport = clickDpLinkfailReport;
    }

    public boolean isShowReport() {
        return isShowReport;
    }

    public void setShowReport(boolean showReport) {
        isShowReport = showReport;
    }

    public boolean isClickReport() {
        return isClickReport;
    }

    public void setClickReport(boolean clickReport) {
        isClickReport = clickReport;
    }

    //下载
    private long downLoadId;
    private boolean isDownOver;
    private String downLoadFilePath;

    public boolean isDownOver() {
        return isDownOver;
    }

    public void setDownOver(boolean downOver) {
        isDownOver = downOver;
    }

    public String getDownLoadFilePath() {
        return downLoadFilePath;
    }

    public void setDownLoadFilePath(String downLoadFilePath) {
        this.downLoadFilePath = downLoadFilePath;
    }

    public long getDownLoadId() {
        return downLoadId;
    }

    public void setDownLoadId(long downLoadId) {
        this.downLoadId = downLoadId;
    }

    public void setHeight(int height) {
        this.height = height;
    }

    public int getHeight() {
        return height;
    }

    public void setWidth(int width) {
        this.width = width;
    }

    public int getWidth() {
        return width;
    }

    public void setMonitorUrl(List<String> monitorUrl) {
        this.monitorUrl = monitorUrl;
    }

    public List<String> getMonitorUrl() {
        return monitorUrl;
    }

    public void setClickUrl(List<String> clickUrl) {
        this.clickUrl = clickUrl;
    }

    public List<String> getClickUrl() {
        return clickUrl;
    }

    public void setSrcUrls(List<String> srcUrls) {
        this.srcUrls = srcUrls;
    }

    public List<String> getSrcUrls() {
        return srcUrls;
    }

    public void setDUrl(List<String> dUrl) {
        this.dUrl = dUrl;
    }

    public List<String> getDUrl() {
        return dUrl;
    }

    public void setPid(String pid) {
        this.pid = pid;
    }

    public String getPid() {
        return pid;
    }

    public void setCid(int cid) {
        this.cid = cid;
    }

    public int getCid() {
        return cid;
    }

    public void setPlan_id(int plan_id) {
        this.plan_id = plan_id;
    }

    public int getPlan_id() {
        return plan_id;
    }

    public void setTarget_type(String target_type) {
        this.target_type = target_type;
    }

    public String getTarget_type() {
        return target_type;
    }

    public void setAd_show_type(int ad_show_type) {
        this.ad_show_type = ad_show_type;
    }

    public int getAd_show_type() {
        return ad_show_type;
    }

    public void setFrom(String from) {
        this.from = from;
    }

    public String getFrom() {
        return from;
    }

    public void setReq_id(String req_id) {
        this.req_id = req_id;
    }

    public String getReq_id() {
        return req_id;
    }

    public String getApp_name() {
        return app_name;
    }

    public void setApp_name(String app_name) {
        this.app_name = app_name;
    }

    public String getPackage_name() {
        return package_name;
    }

    public void setPackage_name(String package_name) {
        this.package_name = package_name;
    }

    public String getDown_url() {
        return down_url;
    }

    public void setDown_url(String down_url) {
        this.down_url = down_url;
    }

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public String getContent() {
        return content;
    }

    public void setContent(String content) {
        this.content = content;
    }

    public List<String> getStartInstallmonitorUrls() {
        return startInstallmonitorUrls;
    }

    public void setStartInstallmonitorUrls(List<String> startInstallmonitorUrls) {
        this.startInstallmonitorUrls = startInstallmonitorUrls;
    }

    public List<String> getFinishInstallmonitorUrls() {
        return finishInstallmonitorUrls;
    }

    public void setFinishInstallmonitorUrls(List<String> finishInstallmonitorUrls) {
        this.finishInstallmonitorUrls = finishInstallmonitorUrls;
    }

    public List<String> getStartdownloadmonitorUrls() {
        return startdownloadmonitorUrls;
    }

    public void setStartdownloadmonitorUrls(List<String> startdownloadmonitorUrls) {
        this.startdownloadmonitorUrls = startdownloadmonitorUrls;
    }

    public List<String> getFinishdownloadmonitorUrls() {
        return finishdownloadmonitorUrls;
    }

    public void setFinishdownloadmonitorUrls(List<String> finishdownloadmonitorUrls) {
        this.finishdownloadmonitorUrls = finishdownloadmonitorUrls;
    }

    public List<String> getActivemonitorUrls() {
        return activemonitorUrls;
    }

    public void setActivemonitorUrls(List<String> activemonitorUrls) {
        this.activemonitorUrls = activemonitorUrls;
    }

    public String getDeeplink() {
        return deeplink;
    }

    public void setDeeplink(String deeplink) {
        this.deeplink = deeplink;
    }

    public List<String> getDpSuccmonitorUrls() {
        return dpSuccmonitorUrls;
    }

    public void setDpSuccmonitorUrls(List<String> dpSuccmonitorUrls) {
        this.dpSuccmonitorUrls = dpSuccmonitorUrls;
    }

    public List<String> getDpFailmonitorUrls() {
        return dpFailmonitorUrls;
    }

    public void setDpFailmonitorUrls(List<String> dpFailmonitorUrls) {
        this.dpFailmonitorUrls = dpFailmonitorUrls;
    }

    public int getVideo_duration() {
        return video_duration;
    }

    public void setVideo_duration(int video_duration) {
        this.video_duration = video_duration;
    }

    public String getVideo_url() {
        return video_url;
    }

    public void setVideo_url(String video_url) {
        this.video_url = video_url;
    }

    public String getVideo_cover_image() {
        return video_cover_image;
    }

    public void setVideo_cover_image(String video_cover_image) {
        this.video_cover_image = video_cover_image;
    }

    public String getVideo_end_image() {
        return video_end_image;
    }

    public void setVideo_end_image(String video_end_image) {
        this.video_end_image = video_end_image;
    }

    public String getVideo_endpage_html() {
        return video_endpage_html;
    }

    public void setVideo_endpage_html(String video_endpage_html) {
        this.video_endpage_html = video_endpage_html;
    }

    public String getVideo_endbuttonurl() {
        return video_endbuttonurl;
    }

    public void setVideo_endbuttonurl(String video_endbuttonurl) {
        this.video_endbuttonurl = video_endbuttonurl;
    }

    public String getVideo_icon_url() {
        return video_icon_url;
    }

    public void setVideo_icon_url(String video_icon_url) {
        this.video_icon_url = video_icon_url;
    }

    public String getVideo_title() {
        return video_title;
    }

    public void setVideo_title(String video_title) {
        this.video_title = video_title;
    }

    public String getVideo_desc() {
        return video_desc;
    }

    public void setVideo_desc(String video_desc) {
        this.video_desc = video_desc;
    }

    public String getVideo_iconbuttontext() {
        return video_iconbuttontext;
    }

    public void setVideo_iconbuttontext(String video_iconbuttontext) {
        this.video_iconbuttontext = video_iconbuttontext;
    }

    public List<String> getVideo_start() {
        return video_start;
    }

    public void setVideo_start(List<String> video_start) {
        this.video_start = video_start;
    }

    public List<String> getVideo_one_quarter() {
        return video_one_quarter;
    }

    public void setVideo_one_quarter(List<String> video_one_quarter) {
        this.video_one_quarter = video_one_quarter;
    }

    public List<String> getVideo_one_half() {
        return video_one_half;
    }

    public void setVideo_one_half(List<String> video_one_half) {
        this.video_one_half = video_one_half;
    }

    public List<String> getVideo_three_quarter() {
        return video_three_quarter;
    }

    public void setVideo_three_quarter(List<String> video_three_quarter) {
        this.video_three_quarter = video_three_quarter;
    }

    public List<String> getVideo_complete() {
        return video_complete;
    }

    public void setVideo_complete(List<String> video_complete) {
        this.video_complete = video_complete;
    }

    public List<String> getVideo_pause() {
        return video_pause;
    }

    public void setVideo_pause(List<String> video_pause) {
        this.video_pause = video_pause;
    }

    public List<String> getVideo_resume() {
        return video_resume;
    }

    public void setVideo_resume(List<String> video_resume) {
        this.video_resume = video_resume;
    }

    public List<String> getVideo_skip() {
        return video_skip;
    }

    public void setVideo_skip(List<String> video_skip) {
        this.video_skip = video_skip;
    }

    public List<String> getVideo_close() {
        return video_close;
    }

    public void setVideo_close(List<String> video_close) {
        this.video_close = video_close;
    }
}
